//Author: Tim Heng

void setup() {
  size(800, 500);
}

void draw() {
  background(0, 50, 102);
  drawFace();

  int s = second();  // Values from 0 - 59
  int m = minute();  // Values from 0 - 59
  int h = hour();    // Values from 0 - 23

  //text elements on the canvas
  fill(255);

  PFont font1 = loadFont("Nilland-SmallCaps-Bold-48.vlw");
  PFont font2 = loadFont("Nilland-SmallCaps-40.vlw");

  textFont(font1, 48);
  text("STEWIE'S CLOCK", 50, 70);

  textFont(font2, 18);
  text("by Tim Heng", 470, 70);

  textFont(font2, 40);
  text(h + ":" + m + ":" + s, 50, height - 70);

  textFont(font2, 12);
  text("*Location of the ears represents the hours, size of the ears represents the minutes", 50, height - 30);

  textFont(font2, 14);
  text("0 h", width/2 - 280, height/2 - 65);
  text("24 h", width/2 - 280, height/2 + 75);

  //reference minutes
  noStroke();
  fill(255);
  ellipseMode(CENTER);
  ellipse(580, height - 80, 1, 1);
  ellipse(645, height - 80, 30, 30);
  ellipse(730, height - 80, 59, 59);

  textFont(font2, 12);
  text("1 min", 570, height - 30);
  text("30 min", 630, height - 30);
  text("59 min", 718, height - 30);

  pushMatrix();
  translate( width/2 - 250, height/2 - 72);


  //reference hours
  stroke(255);
  strokeWeight(1);
  line(0, 0, 0, 144);
  line(0, 0, 10, 0);
  line(0, 144, 10, 144);
  line(0, 72, 5, 72);

  //refresh the drawing when s reaches 0
  if (s == 0) {
    fill(254, 227, 208);
    smooth();
    stroke(0);
    strokeWeight(2);
    triangle(250, 72, 250 + s, 77, 250 + 2, 82);
    ellipseMode(CENTER);
    ellipse(450, h*6, m, m);
    ellipse(50, h*6, m, m);
  } 
  else {
    fill(254, 227, 208);
    smooth();
    stroke(0);
    strokeWeight(2);
    triangle(250, 72, 250 + s, 77, 250 + 2, 82);
    ellipseMode(CENTER);
    ellipse(450, h*6, m, m);
    ellipse(50, h*6, m, m);
  }
  popMatrix();
}

//draw the basic face of stewie
void drawFace() {
  smooth();
  strokeWeight(2);

  //face
  stroke(0);
  fill(254, 227, 208);
  ellipse(width/2, height/2, 400, 200);

  //eyes
  fill(255);
  stroke(0);
  ellipse(width/2 - 75, height/2 - 20, 50, 50);
  fill(0);
  ellipse(width/2 - 75, height/2 - 20, 5, 5);
  fill(255);
  ellipse(width/2 + 75, height/2 - 20, 50, 50);
  fill(0);
  ellipse(width/2 + 75, height/2 - 20, 5, 5);

  //eyebrows
  stroke(0);
  line(width/2 - 100, height/2 - 65, width/2 - 50, height/2 - 60);
  line(width/2 + 100, height/2 - 65, width/2 + 50, height/2 - 60);

  //mouth
  arc(width/2, height/2 + 50, 80, 50, 0, PI, CHORD);
}

